use super::{Station, System};
use crate::{get_public, Esi, EsiResult, Response};

impl Esi {
  pub async fn get_universe_station(
    &self,
    station_id: i64,
    etag: Option<&str>,
  ) -> EsiResult<Response<Station>> {
    let result = get_public::<Station>(
      &format!("universe/stations/{}", station_id),
      self,
      None,
      etag,
    )
    .await?;
    Ok(result)
  }

  pub async fn get_universe_system(
    &self,
    system_id: i32,
    etag: Option<&str>,
  ) -> EsiResult<Response<System>> {
    let result =
      get_public::<System>(&format!("universe/systems/{}", system_id), self, None, etag).await?;
    Ok(result)
  }
}
